-
 KDE-Apps.org Applications for the KDE-Desktop 
 GTK-Apps.org Applications using the GTK Toolkit 
 GnomeFiles.org Applications for GNOME 
 MeeGo-Central.org Applications for MeeGo 
 CLI-Apps.org Command Line Applications 
 Qt-Apps.org Free Qt Applications 
 Qt-Prop.org Proprietary Qt Applications 
 Maemo-Apps.org Applications for the Maemo Plattform 
 Java-Apps.org Free Java Applications 
 eyeOS-Apps.org Free eyeOS Applications 
 Wine-Apps.org Wine Applications 
 Server-Apps.org Server Applications 
 apps.ownCloud.com ownCloud Applications 
--
-
 KDE-Look.org Artwork for the KDE-Desktop 
 GNOME-Look.org Artwork for the GNOME-Desktop 
 Xfce-Look.org Artwork for the Xfce-Desktop 
 Box-Look.org Artwork for your Windowmanager 
 E17-Stuff.org Artwork for Enlightenment 
 Beryl-Themes.org Artwork for the Beryl Windowmanager 
 Compiz-Themes.org Artwork for the Compiz Windowmanager 
 EDE-Look.org Themes for your EDE Desktop 
--
-
 Debian-Art.org Stuff for Debian 
 Gentoo-Art.org Artwork for Gentoo Linux 
 SUSE-Art.org Artwork for openSUSE 
 Ubuntu-Art.org Artwork for Ubuntu 
 Kubuntu-Art.org Artwork for Kubuntu 
 LinuxMint-Art.org Artwork for Linux Mint 
 Arch-Stuff.org Art And Stuff for Arch Linux 
 Frugalware-Art.org Themes for Frugalware 
 Fedora-Art.org Artwork for Fedora Linux 
 Mandriva-Art.org Artwork for Mandriva Linux 
--
-
 KDE-Files.org Files for KDE Applications 
 OpenTemplate.org Documents for OpenOffice.org
 GIMPStuff.org Files for GIMP
 InkscapeStuff.org Files for Inkscape
 ScribusStuff.org Files for Scribus
 BlenderStuff.org Textures and Objects for Blender
 VLC-Addons.org Themes and Extensions for VLC
--
-
 KDE-Help.org Support for your KDE Desktop 
 GNOME-Help.org Support for your GNOME Desktop 
 Xfce-Help.org Support for your Xfce Desktop 
--
openDesktop.orgopenDesktop.org:   Applications   Artwork   Linux Distributions   Documents    LinuxDaily.com    Linux42.org    OpenSkillz.com   
 
Apps
News
Groups
Knowledge
Events
Forum
People
Jobs
Register
Login


Sponsoring


-
- Content .- Fans  .- Knowledge Base  . 

opensuse-xgl-settings

   10.3.2  

KDE Kommander Script

Score 87%
opensuse-xgl-settings
zoom


opensuse-xgl-settings
zoom


opensuse-xgl-settings
zoom


Link:  http://
Downloads:  41939
Submitted:  Jan 6 2007
Updated:  Oct 25 2007

Description:

opensuse-xgl-settings will not be updated for openSUSE 11.0 since it's obsoleted by tools included in the distro

A simple gui for openSUSE 10.3 KDE-users, for:
  • Enabling desktop effects with Xgl / Compiz
  • Selecting Compiz plugins (including wobbly windows)
  • Installing and enabling Compiz Fusion with Xgl or Nvidia-glx.
  • Install 3D drivers

  • How to install
    1) Download the RPM

    2) Right click it in konqueror -> Open with Install Software

    opensuse-xgl-settings depends on kommander-runtime

    opensuse-xgl-settings is now also available on this openSUSE Build Service repository:
    http://download.opensuse.org/repositories/X11:/XGL/openSUSE_10.3/

    How to run it
    Start it from your menu: System -> Configuration -> opensuse-xgl-settings

    or run the command: opensuse-xgl-settings

    Requirements
    It's assumed that you have a graphics card that supports XGL with the proper driver installed.

    Bug reports and feature requests
  • Write comments below
  • Write to suse [at] linuxin.dk
  • Contact cb400f in #opensuse-kde@irc.freenode.net

  • Troubleshooting
    All problems following use of opensuse-xgl-settings should be easily solved by simply disabling XGL, by running this command as root:

    gnome-xgl-switch --disable-xgl
    (or 'nvidia-xconfig --no-composite' when using nvidia-glx)

    And run this command as normal user:

    touch ~/.config/compiz/disable-compiz

    Credits
    I have received very valuable contributions from:
    Beineri, tsuroeruso, froksen, apokryphos, raddy, bjerrk, cyberorg




    Changelog:

    10.3.2
  • Updated to work with latest Compiz Fusion startup scripts
  • Added support for nvidia-glx
  • Added support for installing 3D-drivers (KMPs)
  • Some UI polish
  • (Much of it contributed by cyberorg)

    10.3.1
  • The first release for openSUSE 10.3



  • LicenseGPL
    SUSE(opensuse-xgl-settings 10.3 RPM)
    (opensuse-xgl-settings *.kmdr ("sources"))
    (opensuse-xgl-settings 10.2 (unmaintained))
    Send to a friend
    Subscribe
    Other  Apps  from cb400f
    Report inappropriate content



    goto page: prev   1  2  3  4 

    -
    .

     Dependency Error

     
     by SickNick on: Feb 18 2007
     
    Score 50%

    When i try to install it tells me im missing dependencies :

    Unresolved dependencies:
    Installing opensuse-xgl-settings-0.3-1.noarch[Local packages]
    There are no installable providers of /usr/bin/opensuse-xgl-settings for opensuse-xgl-settings-0.3-1.noarch[Local packages]
    kommander-runtime-3.5.5-29.x86_64[20070206-153742] needed by opensuse-xgl-settings-0.3-1.noarch[Local packages]


    Reply to this

    -

     Re: Dependency Error

     
     by cb400f on: Feb 19 2007
     
    Score 50%

    Hmm.. do you have the standard oss-repo added? Try installing kommander-runtime first with yast, or whichever package manager you use.


    Reply to this

    -

     Re: Re: Dependency Error

     
     by SickNick on: Feb 20 2007
     
    Score 50%

    actually no i dont have oss repo running because whenever i would update from there, it would update my kernel, nd it would make my computer crash. Ill try adding just that through the software manager


    Reply to this

    -

     Re: Dependency Error

     
     by jirka on: Feb 21 2007
     
    Score 50%

    I had exactly the same problem when installing through ZenInstaller.
    Installing using yast worked just fine.


    -- Jirka
    Reply to this

    -

     Problems

     
     by scottuss on: Feb 21 2007
     
    Score 50%

    Just installed this, on restart KDE started to act very strangely. The cursor moves but I cant do anything with the machine. Now just trying to uninstall this! Im sure its a great util but definetly not for my configuration


    Reply to this

    -

     Re: Problems

     
     by cb400f on: Feb 21 2007
     
    Score 50%

    Very sorry to hear that.

    Completely cancelling out any effects of opensuse-xgl-settings is very simple. Just run the following command as root: gnome-xgl-switch --disable-xgl

    Then reboot. And you'll be back in a good well tested and stable 2D environment.


    Reply to this

    -

     Re: Problems

     
     by cb400f on: Feb 21 2007
     
    Score 50%

    Another thing, remember you need to reboot after initial enabling of Xgl.


    Reply to this

    -

     Re: Re: Problems

     
     by scottuss on: Mar 1 2007
     
    Score 50%

    I have figured out why it didnt work! According to the opensuse wiki my graphics card has issues with xgl. No 3d stuff for me yet then!


    Reply to this

    -

     the cube....

     
     by trafikselskabet on: Mar 6 2007
     
    Score 50%

    As a first step, I managed to get the "basic" settings in compiz... the "wubling" windows are awsome!
    I think the cube should work as well but I do not know, since I have no idea how to control it :(
    I've read somewhere that the cube is useless, without the rotation-pluging (seams reasonably). Is that included, or do I just need to know a key-combination or something to control the cube?
    Or is it some KDE-settings that needs to bee adjusted? I cannot change desktops anymore...


    Reply to this

    -

     Re: the cube....

     
     by cb400f on: Mar 6 2007
     
    Score 50%

    Thanks for the good feedback.

    Not only was the rotate plugin missing, but also "water" and "place". It should work now with version 0.7.

    Keyboard shortcuts for the cube are Ctrl+Alt+Arrow keys .. or Ctrl+Alt+Drag desktop with mouse.


    Reply to this

    -

     Working: the cube...

     
     by trafikselskabet on: Mar 12 2007
     
    Score 50%

    Thanks a lot for the rapid update! Now as good as everything works like a charm. Im amazed that my system is now blessed with XGL and Compiz, and that only after 20 min after getting the update.

    Although I'll properly return... my Kaffeine player is having a hard time with the new settings. But more of that later.

    Good work


    Reply to this

    -

     Beryl

     
     by Tide on: Mar 8 2007
     
    Score 50%

    I am using openSUSE 10.2 and have an ati9800 video card. To get your script to work I had to edit the xgl.kmdr script like so.

    Changed:
    echo 'beryl-xgl &' >> ~/bin/kde-start-compiz
    echo 'beryl-manager &' >> ~/bin/kde-start-compiz
    chmod 775 /opt/kde3/bin/kde-start-compiz

    To:
    echo 'beryl' >> ~/bin/kde-start-compiz
    echo 'beryl-manager &' >> ~/bin/kde-start-compiz
    chmod 775 ~/bin/kde-start-compiz

    (I do not have a /opt/kde3/bin/kde-start-compiz file and am not sure why but I only need beryl instead of beryl-xgl &. I use the steps from the Suse Wiki which say use beryl then beryl-manager &)

    My question is while this made it work is this the correct way to do it? Is this change needed because I have an ATI video card? I have a similar script that also adds a "sleep 5" after the "beryl-manager". Is this needed (seems to work without it).

    PS - I use your konvienentSUSE script as well and really like them both. I am going to go add a comment on some things to that one now as well.


    Reply to this

    -

     Re: Beryl

     
     by cb400f on: Mar 8 2007
     
    Score 50%

    Thanks a lot!!

    This change has nothing to do with ATi. It's simply a bug, 100% my fault. It exists because I moved the configuration to ~/bin/kde-start-compiz from /opt/kde3/bin/kde-start-compiz a few releases ago, and obviously I have not corrected the path everywhere.

    I'll release a fixed version immediately.

    Again thanks a lot, with this kind of feedback, we'll soon have all my mistakes fixed.


    Reply to this

    -

     Re: Re: Beryl

     
     by marcolux on: Mar 22 2007
     
    Score 50%

    hi, it sends my a message error


    Unresolved dependencies:
    Installing opensuse-xgl-settings-0.9-1.noarch[Local packages]
    There are no installable providers of /usr/bin/opensuse-xgl-settings for opensuse-xgl-settings-0.9-1.noarch[Local packages]


    Reply to this

    -

     Re: Re: Re: Beryl

     
     by cb400f on: Mar 23 2007
     
    Score 50%

    hmm.. I think it's yast error.. since the package is obviously right there. Try again.

    .. or install kommander-runtime with yast. And then run (as root) rpm -i /path/to/opensuse-xgl-settings-xxxxx.rpm


    Reply to this

    -
    .

     error message

     
     by djs on: Mar 29 2007
     
    Score 50%

    Hi, I get this error message when i run
    opensuse-xgl-settings on the command line

    6347: Warning: unresolved direct binding for symbol '_ZN9KLineEdit17mouseReleaseEventEP11QMouseEvent' (error 0)
    kmdr-executor: symbol lookup error: /opt/kde3/lib64/libkommanderwidgets.so.0: undefined symbol: _ZN9KLineEdit17mouseReleaseEventEP11QMouseEvent

    Any ideas what I can do to fix this?


    Reply to this

    -

     Re: error message

     
     by cb400f on: Mar 30 2007
     
    Score 50%

    Not really, which version of kommander-runtime do you use? Unsupported version?

    rpm -q kommander-runtime

    Check if other kommander-scripts will run, to see if the problem is specific to opensuse-xgl-settings or if it's a general problem on your system.


    Reply to this

    -

     Re: Re: error message

     
     by fewer on: Jun 7 2007
     
    Score 50%

    oh MAAAAN!

    i get just the same message. kommander and kommader-runtime both installed. The version is 3.5.7-7, got it from here http://download.opensuse.org/distribution/SL-OSS-factory/inst-source/suse/i586/

    mayhap i missed smth, some additional packages or whatever?


    Reply to this

    -

     error message

     
     by fewer on: Jun 7 2007
     
    Score 50%

    i downloaded http://www.kde-apps.org/content/show.php/MAC+Changer+GUI-natanael?content=54278&PHPSESSID=0ab8bd2178631e3a6212e361c0033101>

    and tried to run it. Well, Kommader Editor and Kommander Executor won't start... i just see a bar titled 'Kommader Editor' down on my panel, but it disappears after some 30 secs and nothing at all happens


    Reply to this

    -

     Re: error message

     
     by fewer on: Jun 9 2007
     
    Score 50%

    ok, i figured it out. For those who have that awful error ;) - you'll need to unistall all kommander packages you installed before and then install the kdewebdev package (it can be found on your linux cd - well, i've certainly found it on my openSuSE dvd) and then everything should be just fine


    Reply to this

    -

     opensuse packages

     
     by cyberorg on: Mar 30 2007
     
    Score 50%

    Hi there

    I would be happy to include your package in the openSUSE Build service X11:XGL repository if the package is well maintained. Do let me know if you wish me to add it.

    Keep up the great work.


    -J
    ________________
    www.cyberorg.info

    Reply to this

    goto page: prev   1  2  3  4 

    Add commentBack






    -
    -
    How do you like Plasma 5?
     The best KDE Desktop ever.
     Definitely a nice improvement.
     Not decided yet. Haven't tried it yet.
     I do not like some of the changes.
     KDE is taking the wrong way.
     I am still sticking with KDE 3.5.
     I have no opinion, but wanted to vote anyway.

    resultmore
     
     
     Who we are
    Contact
    More about us
    Frequently Asked Questions
    Register
    Twitter
    Blog
    Explore
    Apps
    Jobs
    Knowledge
    Events
    People
    Updates on identi.ca
    Updates on Twitter
    Facebook App
    Content RSS   
    Events RSS   

    Participate
    Groups
    Forum
    Add App
    Public API
    About KDE-Apps.org
    Legal Notice
    Spreadshirt Shop
    CafePress Shop
    Advertising
    Sponsor us
    Report Abuse
     

    Copyright 2003-2014 KDE-Apps.org Team  
    All rights reserved. KDE-Apps.org is not liable for any content or goods on this site.
    All contributors are responsible for the lawfulness of their uploads.
    KDE and K Desktop Environment are trademarks of KDE e.V.